Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.portlet.impl.metadata.portlet
Enum PortletCacheScopeEnum

    java.lang.Object
      java.lang.Enum<PortletCacheScopeEnum>
          org.jboss.portal.portlet.impl.metadata.portlet.PortletCacheScopeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PortletCacheScopeEnum>

    public enum PortletCacheScopeEnum

extends java.lang.Enum<PortletCacheScopeEnum>

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Enum Constant Summary
`PRIVATE` The private cache scope
`PUBLIC` The public cache scope

Method Summary
`static PortletCacheScopeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PortletCacheScopeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PRIVATE

    public static final PortletCacheScopeEnum PRIVATE

  The private cache scope

### PUBLIC

    public static final PortletCacheScopeEnum PUBLIC

  The public cache scope

Method Detail

### values

    public static final PortletCacheScopeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PortletCacheScopeEnum c : PortletCacheScopeEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PortletCacheScopeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.